Bug 233504 - graphics/qgis: Update to 2.18.26
Summary: graphics/qgis: Update to 2.18.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-25 12:51 UTC by Rainer Hurling
Modified: 2018-11-29 13:03 UTC (History)
2 users (show)

See Also:
rhurlin: maintainer-feedback+


Attachments
patch to update graphics/qgis from 2.18.17 to 2.18.26 (10.47 KB, patch)
2018-11-25 12:51 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2018-11-25 12:51:48 UTC
Created attachment 199539 [details]
patch to update graphics/qgis from 2.18.17 to 2.18.26

Minor update from QGIS 2.18.17 to 2.18.26.


Changes of the port:
- Update to 2.18.26
- Change LIB_DEPENDS from qwt5 to qwt6
- Reorder CMAKE_ARGS
- Adapt QWT_INCLUDE_DIR and QWT_LIBRARY after PyQt changes
- Update GRASS7 dependency from 7.2.2 to 7.4.0
- Update several Python dependencies
- Remove INSTALLS_ICONS, not needed here
- Update pkg-plist


The patch was tested on Poudriere (11.2i/a, 12.0RC1i/a and, HEADi/a),
'portlint -AC' seems happy.
Comment 1 commit-hook freebsd_committer 2018-11-28 08:17:55 UTC
A commit references this bug:

Author: wen
Date: Wed Nov 28 08:17:41 UTC 2018
New revision: 486082
URL: https://svnweb.freebsd.org/changeset/ports/486082

Log:
  - Update to 2.18.26
  - Change LIB_DEPENDS from qwt5 to qwt6
  - Reorder CMAKE_ARGS
  - Adapt QWT_INCLUDE_DIR and QWT_LIBRARY after PyQt changes
  - Update GRASS7 dependency from 7.2.2 to 7.4.0
  - Update several Python dependencies
  - Remove INSTALLS_ICONS, not needed here

  PR:		233504
  Submitted by:	rhurlin@gwdg.de(maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/pkg-plist